function [ Sources, Fs] = load_speech( K,Sec )
% number of speech sources we need
% Sec: length of speech sources


[S1, Fs1] = wavread('Iam_female_30s.wav');
[S2, Fs2] = wavread('poem_male_30s.wav');
[S3, Fs3] = wavread('sentence_male_29s.wav');
[S4, Fs4] = wavread('numbers_female_29s.wav');
[S5, Fs5] = wavread('numbers_male_30s.wav');
[S6, Fs6] = wavread('hypno_male_30s.wav');
[S7, Fs7] = wavread('sentence_female_28s.wav');
[S8, Fs8] = wavread('henry_theater_male_30s.wav');


Fs=Fs1;   % all sources are supposed to have the same sampling frequency

% Truncate each source to the desired duration ts
Ns=Fs*Sec;    % number of samples
S1=S1(1:Ns,:);S2=S2(1:Ns,:);S3=S3(1:Ns,:);S4=S4(1:Ns,:);S5=S5(1:Ns,:);
S6=S6(1:Ns,:);S7=S7(1:Ns,:);S8=S8(1:Ns,:);

% Normalize each source
A=40;  % amplitude  (only useful to produce audible sources if sound command is used)
S(:, 1) = A*S1/norm(S1);S(:, 2) = A*S2/norm(S2);S(:, 3) = A*S3/norm(S3);S(:, 4) = A*S4/norm(S4);
S(:, 5) = A*S5/norm(S5);S(:, 6) = A*S6/norm(S6);S(:, 7) = A*S7/norm(S7);S(:, 8) = A*S8/norm(S8);
Sources = S(:,1:K).';
Fs = Fs1;
end

